What do I need to develop with Orchard?

Jan 16, 2011 at 5:11 PM

Hi there,

I downloaded Orchard 1.0, but I only installed VS 2008 Pro SP1, is it possible to work with Orchard source code?

Jan 16, 2011 at 7:34 PM

No, since Orchard 1.0 is based on ASP.NET MVC 3, so according to this you need at least VS Web Edition 2010 Express.

Coordinator
Jan 16, 2011 at 8:39 PM

You can also use WebMatrix !

Coordinator
Jan 17, 2011 at 1:13 AM

You can also build Orchard source from the command-line on a machine that doesn’t have VS installed at all. Just make sure that MSBuild.exe is on your path and run “ClickToBuild.cmd” from the root of your Orchard source enlistment.